<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:fadingEdge="vertical"
    android:scrollbars="vertical">

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context="com.newland.pnrdemo.DemoActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="商户号:" />

            <EditText
                android:id="@+id/et_member_id"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:text="030147446000002059" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="交易操作员:"/>
            <EditText
                android:text=""
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:id="@+id/et_merOperId"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="打印操作员:"/>
            <EditText
                android:text=""
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:id="@+id/et_merOperId_printed"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="终端订单号:" />

            <EditText
                android:id="@+id/et_ord_no"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:inputType="number"
                android:maxLength="20" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="第三方订单号:" />

            <EditText
                android:id="@+id/et_out_ord_no"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:inputType="number"
                android:maxLength="20" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="支付渠道:"/>
            <RadioGroup
                android:id="@+id/radioGroup"
                android:layout_width="wrap_content"
                android:layout_height="50dp"
                android:orientation="horizontal"
                android:gravity="center_vertical">

                <RadioButton
                    android:id="@+id/btn_acquire"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="银行卡"
                    android:checked="true"
                    />
                <RadioButton
                    android:id="@+id/btn_scan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="扫码"/>

            </RadioGroup>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="正反向交易：" />

            <RadioGroup
                android:id="@+id/radioGroupID"
                android:orientation="horizontal"
                android:layout_width="wrap_content"
                android:gravity="center_vertical"
                android:layout_height="wrap_content">

                <RadioButton
                    android:id="@+id/qrcode_u"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="正向交易" />

                <RadioButton
                    android:id="@+id/qrcode_j"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="反向交易" />
            </RadioGroup>
        </LinearLayout>



        <Button
            android:id="@+id/btn_confirm"
            android:layout_width="match_parent"
            android:layout_height="@dimen/common_height"
            android:layout_marginLeft="@dimen/common_height"
            android:layout_marginRight="@dimen/common_height"
            android:text="确定" />


        <TextView
            android:id="@+id/tv_request"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="?attr/colorPrimary"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tv_result"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />


    </LinearLayout>
</ScrollView>
